#
# spec file for package libx86
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libx86
Url:            http://www.codon.org.uk/~mjg59/libx86/
Version:        1.1
Release:        bp154.2.22
Summary:        x86 real-mode library
License:        MIT AND BSD-3-Clause
Group:          Development/Libraries/C and C++
Source:         http://www.codon.org.uk/~mjg59/%{name}/downloads/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64

%description
A library to provide support for making real-mode calls x86 calls. On
x86 hardware, vm86 mode is used. On other platforms, x86 emulation is
provided.

%package -n libx86-1
Summary:        x86 real-mode library
Group:          System/Libraries
Provides:       libx86 = %{version}
Obsoletes:      libx86 <= %{version}

%description -n libx86-1
A library to provide support for making real-mode calls x86 calls. On
x86 hardware, vm86 mode is used. On other platforms, x86 emulation is
provided.

%package devel
Requires:       libx86-1 = %{version}
Summary:        Development files for libx86
Group:          Development/Libraries/C and C++

%description devel
Development files for libx86. libx86 is a x86 real-mode library.

%package devel-static
Requires:       %{name}-devel = %{version}
Summary:        Static development library for libx86
Group:          Development/Libraries/C and C++

%description devel-static
Static development library for libx86. libx86 is a x86 real-mode library.

%prep
%setup

%build
%global _lto_cflags %{_lto_cflags} -ffat-lto-objects
# %ifnarch %ix86
MAKEARGS="BACKEND=x86emu"
# %endif
make CFLAGS="%{optflags} -DDEBUG -g -fPIC" $MAKEARGS LIBDIR=%{_libdir} \
	%{?_smp_mflags}

%install
%make_install LIBDIR=%{_libdir}
chmod a-x %{buildroot}/%{_libdir}/libx86.a

%post -n libx86-1 -p /sbin/ldconfig

%postun -n libx86-1 -p /sbin/ldconfig

%files -n libx86-1
%defattr (-,root,root)
%{_libdir}/libx86.so.*
%doc COPYRIGHT

%files devel
%defattr (-,root,root)
%{_libdir}/libx86.so
%_includedir/libx86.h

%files devel-static
%defattr (-,root,root)
%{_libdir}/libx86.a

%changelog
* Tue Sep 10 2019 Christophe Giboudeaux <christophe@krop.fr>
- Use -ffat-lto-objects when building static libraries.
* Fri Jul 27 2018 jengelh@inai.de
- Fix RPM groups.
- Replace old $RPM_* shell vars by macros.
* Tue Apr 16 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Tue Jul 10 2012 cfarrell@suse.com
- license update: MIT and BSD-3-Clause
  Most of the code is MIT licensed but there is a BSD licensed x86emu
  component
* Fri Mar 16 2012 jengelh@medozas.de
- Remove Prefix: tag
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Fri Sep 24 2010 aj@suse.de
- Fix obsoletes, it needs to be a <= since the version number stayed
  the same.
* Mon Sep 20 2010 aj@suse.de
- Add proper provides/obsoletes
* Tue Sep 14 2010 aj@suse.de
- Create devel-static subpackage.
- Fix dependencies of devel subpackage.
* Mon Sep 13 2010 aj@suse.de
- Rename library to libx86-1.
* Thu Sep  9 2010 aj@suse.de
- Split up devel library.
* Wed Aug 13 2008 ro@suse.de
- add ExclusiveArch
* Mon May 19 2008 seife@suse.de
- update to version 1.1, changes:
  v1.1: Add makefile fixes from Till Maas
  v1.0: Add PROT_EXEC to the mmap of the ROM
- use x86emu backend even on 32-bit systems (instead of LRMI)
- add the COPYRIGHT file
- care for some rpmlint warnings
* Thu Apr 17 2008 seife@suse.de
- upstream fixes (from the ubuntu hardy package), among others:
  - Handle reading addresses that are outside the process range
    with the x86emu backend
  - Add xorg upstream fixes for cpuid, rdtsc, bsr, bsf opcodes
- fix a problem that appears with NX fixes in 2.6.25 by mmap()ing
  video memory PROT_EXEC
* Mon Mar  5 2007 seife@suse.de
- initial submission, version 0.99
